# Skill Template Pack

Rendered by `SkillCreator.create()` to bootstrap a new skill under
`.catalog/skills/<id>/`.

## File

| File | Rendered to |
|---|---|
| `SKILL.md.template` | `.catalog/skills/<id>/SKILL.md` |

## Variables

| Variable | Example |
|---|---|
| `SKILL_ID` | `source-credibility-scoring` |
| `SKILL_NAME` | `Source Credibility Scoring` |
| `SOURCE` | `aiobuilder-built` \| `local` \| `lara-import` |
| `STATUS` | `active` \| `draft` |
| `VERSION` | `1.0.0` |
| `DESCRIPTION` | One-paragraph purpose |
| `WHEN_1..3` | Bullet trigger conditions |
| `STEP_1..4` | Numbered procedure steps |
| `INPUT_1..2`, `OUTPUT_1..2` | I/O bullets |
| `VALIDATION_1..2` | Quality checks |
| `GUARDRAIL_1..2` | Safety constraints |
| `EXAMPLES` | Free-form examples block |
| `REFERENCES` | Free-form references block |

## Extension

Override `dist-templates/skill-template/SKILL.md.template` via
`.catalog/skill-template-overrides/SKILL.md.template` if the project
wants a different shape.
